Subject: Re: [Pkg-mailman-hackers] Bug#750525: mailman: Master qrunner detected subprocess exit while decoding utf8 character

From: Laurent Mazet <[email-masked]>
Date: Wed, 04 Jun 2014 17:52:58 +0200

Package: mailman
Version: 1:2.1.16-2
Severity: important

Hi

I don't remenber that I've done any modification in language language file

Moreover, when  I downgrade mailman package to 2.1.16-1, I saw it  
rebuilding language file for en and fr. Thus, it certainly do the same  
while upgrading to 2.1.16-2.

Regards

      Laurent

Quoting Thorsten Glaser <[email-masked]> at mer., 04 juin 2014:

> On Wed, 4 Jun 2014, Laurent Mazet wrote:
>
>> Thanks to mailman an postfix, I'm running multiple mailing list for 2
>> virtuals domain since 3 years without any majour issues. But one
>> mailing list fall down 2 days ago, just after upgrading to 2.1.16-1.
>
>> Jun 02 11:24:49 2014 (3899) Uncaught runner exception: 'utf8' codec
>> can't decode byte 0xe9 in position 8: invalid continuatio
>
> Do you have any custom language files? The new version requires
> them to be in UTF-8 encoding, whereas the old version used a
> language-specific legacy encoding (and, in some cases, even one
> that wasn’t even good for that language).
>
> The language files the package installs by itself would have been
> upgraded to UTF-8 encoding during the package upgrade, but if you
> made any modifications, you have to do that yourself. I see you
> already have the /etc/init.d/mailman file changed, so, a local
> modification, e.g. to the fr language files, may be a cause.
>
> bye,
> //mirabilos

-- 
Dr. Laurent Mazet   -=-  "Use the source, Luke"  -=-   [email-masked]